> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Traverse a trust graph

> Traverse a trust graph



## OpenAPI

````yaml /openapi.json post /discovery/trust-graph/traverse
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /discovery/trust-graph/traverse:
    post:
      tags:
        - TrustGraph
      summary: Traverse a trust graph
      description: Traverse a trust graph
      operationId: traverseTrustGraph
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TraverseTrustGraph'
      responses:
        '200':
          description: The trust graph traversed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrustGraph'
components:
  schemas:
    TraverseTrustGraph:
      type: object
      properties:
        identifier:
          type: string
          description: The target identifier to traverse from.
      required:
        - identifier
    TrustGraph:
      type: object
      properties:
        id:
          type: string
          description: The id of the trust graph
        hash:
          type: string
          description: The hash of the trust graph
        nodes:
          description: The nodes of the trust graph
          type: array
          items:
            $ref: '#/components/schemas/TrustGraphNode'
        edges:
          description: The edges of the trust graph
          type: array
          items:
            $ref: '#/components/schemas/TrustGraphEdge'
        type:
          description: The type of the trust graph
          allOf:
            - $ref: '#/components/schemas/TrustGraphNodeType'
      required:
        - id
        - hash
        - nodes
        - edges
        - type
    TrustGraphNode:
      type: object
      properties:
        id:
          type: string
          description: The id of the trust graph node
        hash:
          type: string
          description: The hash of the trust graph node
        raw:
          type: object
          description: The raw data of the trust graph node
        type:
          description: The type of the trust graph node
          allOf:
            - $ref: '#/components/schemas/TrustGraphNodeType'
      required:
        - id
        - hash
        - raw
        - type
    TrustGraphEdge:
      type: object
      properties:
        source:
          type: string
          description: The source of the trust graph edge
        target:
          type: string
          description: The target of the trust graph edge
      required:
        - source
        - target
    TrustGraphNodeType:
      type: string
      enum:
        - DTE
        - DCC
        - DPP
        - DIA
        - DFR

````